> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user upcoming live sessions 

> Get the enrolled and scheduled live sessions for a user on the current day, exactly like the upcoming live sessions shown on the user dashboard. Identify the user using any one of: your internal user ID, the Fermion user ID, or the user email address.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-user-upcoming-live-sessions
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-user-upcoming-live-sessions:
    post:
      tags:
        - User
      summary: 'Get user upcoming live sessions '
      description: >-
        Get the enrolled and scheduled live sessions for a user on the current
        day, exactly like the upcoming live sessions shown on the user
        dashboard. Identify the user using any one of: your internal user ID,
        the Fermion user ID, or the user email address.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          userId:
                            type: string
                            description: >-
                              Internal userId you have been using for the user
                              in your database
                          fermionUserId:
                            type: string
                            description: The Fermion user ID (uniqueId) of the user
                          userEmail:
                            type: string
                            format: email
                            description: Email address of the user
                          userTimeZone:
                            type: string
                            description: >-
                              IANA timezone of the user (e.g. "Asia/Kolkata").
                              Used to determine the current day boundaries.
                              Defaults to UTC if not provided or invalid.
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                upcomingLiveSessionsForTheDay:
                                  type: array
                                  items:
                                    allOf:
                                      - type: object
                                        properties:
                                          sessionId:
                                            type: string
                                            description: >-
                                              Unique identifier of the live event
                                              session
                                          startAtIsoString:
                                            type: string
                                            format: date-time
                                            description: >-
                                              ISO 8601 datetime string of when the
                                              session is scheduled to start
                                          durationInSecs:
                                            type: number
                                            description: >-
                                              Scheduled duration of the session in
                                              seconds
                                          fermionDigitalProductId:
                                            type: string
                                            description: >-
                                              The Fermion digital product ID this
                                              session belongs to
                                          liveEventTitle:
                                            type: string
                                            description: Title of the live event
                                          liveEventUrl:
                                            type: string
                                            format: uri
                                            description: >-
                                              The URL at which users can join and view
                                              the live session
                                          thumbnailUrl:
                                            type: string
                                            format: uri
                                            description: Thumbnail URL of the digital product
                                        required:
                                          - sessionId
                                          - startAtIsoString
                                          - durationInSecs
                                          - fermionDigitalProductId
                                          - liveEventTitle
                                          - liveEventUrl
                                          - thumbnailUrl
                                      - anyOf:
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - LiveEventCourseItem
                                              courseItemId:
                                                type: string
                                                description: >-
                                                  The course item ID this live session
                                                  belongs to
                                            required:
                                              - type
                                              - courseItemId
                                          - type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - LiveEventProduct
                                            required:
                                              - type
                              required:
                                - upcomingLiveSessionsForTheDay
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````